Subject: RE: [IPFIX] WG Last Call for Biflow Draft starts today

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Wed, 7 Feb 2007 18:51:43 +0200

I have one general comment. The document as written now is quite
difficult to follow and understand, and one of the reasons I believe is
that it does not make clear the relationship with other ipfix documents.
It would help to add some text that shortly describes in more clear
terms the relationship to ipfix architecture, protocol and information
model and how is this model extending those. 

A few more editorial comments: 

1. Two unused references are reported by id-nits:

 - Unused Reference: 'RFC3917' is defined on line 588, but not
referenced
    '[RFC3917]  Quittek, J., Zseby, T., Claise, B., and S. Zander,
"Require...'

  - Unused Reference: 'RFC2434' is defined on line 601, but not
referenced
    '[RFC2434]  Narten, T. and H. Alvestrand, "Guidelines for Writing an
IA...'

2. It is assumed that by the time this document will be approved the
other IPFIX document that are being referred will no longer be drafts.
Terminology should be adjusted accordingly, so for example 'IPFIX
Protocol draft' better be named 'IPFIX Protocol document', etc. 

3. Similarly the language used about this memo itself should be changed
from 'this draft' in 'this memo' or 'this document'. For example in 6.1.

   Reverse Information Elements are specified as a separate "dimension"
   in the Information Element space, by having IANA assign a single
   Private Enterprise Number (PEN) to this draft, and to define that PEN
   to signify "IPFIX Reverse Information Element" (the Reverse PEN).

Dan

> -----Original Message-----
> From: Nevil Brownlee [mailto:[email-masked]] 
> Sent: Wednesday, January 24, 2007 11:26 PM
> To: [email-masked]
> Cc: Elisa Boschi
> Subject: [IPFIX] WG Last Call for Biflow Draft starts today
> 
> 
> Hi all:
> 
> The editors of the biflow draft say they're ready for WG Last Call
> (see below).  The draft details are:        Title                : 
> Bidirectional Flow Export using IPFIX
>         Author(s)            : B. Trammell, E. Boschi
>         Filename             : draft-ietf-ipfix-biflow-02.txt
>         Pages                : 19
>         Date                 : 2007-1-23
>        A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-ipfix-biflow-02.txt
> 
> The WG last call starts today, Thursday 25 Jan 07, and will 
> end in two weeks, i.e. on Thursday 8 Feb 07.  Please send any 
> comments, suggestions for changes, etc., to the IPFIX list.
> 
> Nevil Brownlee (IPFIX co-chair)
> 
> 
> > We believe that the -02 revision of the biflow draft is 
> substantially 
> > complete. It presents a single representation mechanism for 
> > bidirectional flow data using IPFIX, without protocol changes, 
> > applicable to multiple deployment scenarios, as required by the 
> > current working group charter.
> >
> > ...
> 
> --------------------------------------------------------------
> ---------
>   Nevil Brownlee                    Computer Science Department | ITS
>   Phone: +64 9 373 7599 x88941             The University of Auckland
>   FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand
> 
> --------------------------------------------------------------
> ---------
> This mail sent through University of Auckland 
> http://www.auckland.ac.nz
> 
> 
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipfix
> 

_______________________________________________
IPFIX mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipfix

---

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Wed, 7 Feb 2007 18:51:43 +0200

Dan